### NAME

Tk_GetRelief, Tk_NameOfRelief - translate between strings and relief values

### SYNOPSIS

#include <tk.h>
int
Tk_GetRelief(interp, name, reliefPtr)
char *
Tk_NameOfRelief(relief)

### ARGUMENTS

Tcl_Interp *interp (in)
  Interpreter to use for error reporting.

char *name (in)
  String containing relief name (one of ``flat'', ``groove'', ``raised'', ``ridge'', ``solid'', or ``sunken'').

int *reliefPtr (out)
  Pointer to location in which to store relief value corresponding to name.

int relief (in)
  Relief value (one of TK_RELIEF_FLAT, TK_RELIEF_RAISED, TK_RELIEF_SUNKEN, TK_RELIEF_GROOVE, TK_RELIEF_SOLID, or TK_RELIEF_RIDGE).

### DESCRIPTION

Tk_GetRelief places in *reliefPtr the relief value corresponding to name. This value will be one of TK_RELIEF_FLAT, TK_RELIEF_RAISED, TK_RELIEF_SUNKEN, TK_RELIEF_GROOVE, TK_RELIEF_SOLID, or TK_RELIEF_RIDGE. Under normal circumstances the return value is TCL_OK and interp is unused. If name doesn't contain one of the valid relief names or an abbreviation of one of them, then an error message is stored in interp->result, TCL_ERROR is returned, and *reliefPtr is unmodified.

Tk_NameOfRelief is the logical inverse of Tk_GetRelief. Given a relief value it returns the corresponding string (``flat'', ``raised'', ``sunken'', ``groove'', ``solid'', or ``ridge''). If relief isn't a legal relief value, then ``unknown relief'' is returned.

### KEYWORDS

name, relief, string

    Copyright © 1990 The Regents of the University of California.
    Copyright © 1994-1996 Sun Microsystems, Inc.
    Copyright © 1995-1997 Roger E. Critchlow Jr.